Sorry no IE 8 supportet–please useIE9/chrome/firefox/opera/chrome/...

here you find a alternative version